

defineProperty("ext_view", globalPropertyi("sim/graphics/view/view_is_external"))
defineProperty("viewX", globalPropertyf("sim/graphics/view/view_x"))
defineProperty("viewY", globalPropertyf("sim/graphics/view/view_y"))
defineProperty("viewZ", globalPropertyf("sim/graphics/view/view_z"))
defineProperty("viewHDG", globalPropertyf("sim/graphics/view/view_heading"))
defineProperty("viewPITCH", globalPropertyf("sim/graphics/view/view_pitch"))

defineProperty("acfposX", globalPropertyf("sim/flightmodel/position/local_x"))
defineProperty("acfposY", globalPropertyf("sim/flightmodel/position/local_y"))
defineProperty("acfposZ", globalPropertyf("sim/flightmodel/position/local_z"))
defineProperty("acfpitch", globalPropertyf("sim/flightmodel/position/theta"))
defineProperty("acfyaw", globalPropertyf("sim/flightmodel/position/psi"))
defineProperty("acfroll", globalPropertyf("sim/flightmodel/position/phi"))


defineProperty("sim_speed", globalPropertyi("sim/time/sim_speed"))
defineProperty("frame_rate_period", globalPropertyf("sim/operation/misc/frame_rate_period"))

defineProperty("FN", globalPropertyf("frame_number")) -- flight time


defineProperty("time", globalPropertyf("sim/time/total_flight_time_sec"))

defineProperty("LHeadX", globalPropertyf("com/dkmp/LHeadX"))
defineProperty("LHeadY", globalPropertyf("com/dkmp/LHeadY"))
defineProperty("LHeadZ", globalPropertyf("com/dkmp/LHeadZ"))
defineProperty("LHZ", globalPropertyf("com/dkmp/LHZ"))

defineProperty("RHeadX", globalPropertyf("com/dkmp/RHeadX"))
defineProperty("RHeadY", globalPropertyf("com/dkmp/RHeadY"))
defineProperty("RHeadZ", globalPropertyf("com/dkmp/RHeadZ"))
defineProperty("RHZ", globalPropertyf("com/dkmp/RHZ"))



defineProperty("timer", globalPropertyf("com/dkmp/timer"))

set(timer, 0)

-- ________________________________________________________________________________
-- ________________________________________________________________________________
  --MAIN FUNCTIONS
  
   set(timer, get(time)) 
-- calculate misc systems parameters frame by frame
function update()




s1 = 45
s2 = 65



t=0.13

if get(time) - get(timer) > s1 then
set(timer, get(time))
end

loop1 = (get(time) - get(timer)) / s1
loop2 = (get(time) - get(timer)) / s2

X=(-(get(viewPITCH) - get(acfpitch)))


Zi= (get(viewHDG)) - (get(acfyaw))

if Zi > -90 and Zi < 90 then
Z = 0
elseif Zi > -360 and Zi < -270 then
Z = 0
elseif Zi > 270 and Zi < 450 then
Z = 0
elseif Zi > 630 and Zi < 720 then
Z = 0
elseif Zi > 90 and Zi < 270 then
Z = Zi -180
elseif Zi > 450 and Zi < 630 then
Z = Zi -540
elseif Zi > -270 and Zi < -90 then
Z = Zi +180
end



if get(acfroll) < 90 and get(acfroll) > -90 then
R= get(acfroll) * 0.8
elseif get(acfroll) > 90 then
R= (-get(acfroll)+180) * 0.8
elseif get(acfroll) < -90 then
R= (-get(acfroll)-180) * 0.8
end

if get(acfroll) < 90 and get(acfroll) > -90 then
P= -get(acfpitch)
else
P= 10
end


if loop1 > 0 and loop1 < 0.05 then
	set(LHeadX, get(LHeadX) + ((X*t)-(get(LHeadX)*t)))
	set(LHeadZ, get(LHeadZ) + ((Z*t)-(get(LHeadZ)*t)))
	
	elseif loop1 > 0.05 and loop1 < 0.1 then
	set(LHeadX, get(LHeadX)*0.95)
	set(LHeadZ, get(LHeadZ)*0.95)
	
	elseif loop1 > 0.1 and loop1 < 0.22 then
	set(LHeadX, get(LHeadX) + ((P*t)-(get(LHeadX)*t)))
	set(LHeadZ, get(LHeadZ) + ((R*t)-(get(LHeadZ)*t)))
	
	elseif loop1 > 0.22 and loop1 < 0.25 then
	set(LHeadX, get(LHeadX) + ((-15*t) - (get(LHeadX)*t)))
	set(LHeadZ, get(LHeadZ) + ((-10*t) - (get(LHeadZ)*t)))
	
	elseif loop1 > 0.25 and loop1 < 0.3 then
	set(LHeadX, get(LHeadX) + ((X*t)-(get(LHeadX)*t)))
	set(LHeadZ, get(LHeadZ) + ((Z*t)-(get(LHeadZ)*t)))
	
	elseif loop1 > 0.3 and loop1 < 0.5 then
	set(LHeadX, get(LHeadX) + ((P*t)-(get(LHeadX)*t)))
	set(LHeadZ, get(LHeadZ) + ((R*t)-(get(LHeadZ)*t)))
	
	elseif loop1 > 0.5 and loop1 < 0.54 then
	set(LHeadX, get(LHeadX)*0.95)
	set(LHeadZ, get(LHeadZ)*0.95)
	
	elseif loop1 > 0.54 and loop1 < 0.77 then
	set(LHeadX, get(LHeadX) + ((P*t)-(get(LHeadX)*t)))
	set(LHeadZ, get(LHeadZ) + ((R*t)-(get(LHeadZ)*t)))
	
	elseif loop1 > 0.77 and loop1 < 0.8 then
	set(LHeadX, get(LHeadX) + ((X*t)-(get(LHeadX)*t)))
	set(LHeadZ, get(LHeadZ) + ((Z*t)-(get(LHeadZ)*t)))
	
	elseif loop1 > 0.8 and loop1 < 1 then
	set(LHeadX, get(LHeadX) + ((P*t)-(get(LHeadX)*t)))
	set(LHeadZ, get(LHeadZ) + ((R*t)-(get(LHeadZ)*t)))

end



if get(acfroll) < 90 and get(acfroll) > -90 then
set(LHeadY, -get(acfroll)*0.3)
elseif get(acfroll) > 90 then
set(LHeadY, (get(acfroll)-180)*0.3)
elseif get(acfroll) < -90 then
set(LHeadY, (get(acfroll)+180)*0.3)

end






if loop2 > 0 and loop2 < 0.05 then
	set(RHeadX, get(RHeadX) + ((X*t)-(get(RHeadX)*t)))
	set(RHeadZ, get(RHeadZ) + ((Z*t)-(get(RHeadZ)*t)))
	
	elseif loop2 > 0.05 and loop2 < 0.1 then
	set(RHeadX, get(RHeadX)*0.95)
	set(RHeadZ, get(RHeadZ)*0.95)
	
	elseif loop2 > 0.1 and loop2 < 0.22 then
	set(RHeadX, get(RHeadX) + ((P*t)-(get(RHeadX)*t)))
	set(RHeadZ, get(RHeadZ) + ((R*t)-(get(RHeadZ)*t)))
	
	elseif loop2 > 0.22 and loop2 < 0.25 then
	set(RHeadX, get(RHeadX) + ((-15*t) - (get(RHeadX)*t)))
	set(RHeadZ, get(RHeadZ) + ((-10*t) - (get(RHeadZ)*t)))
	
	elseif loop2 > 0.25 and loop2 < 0.3 then
	set(RHeadX, get(RHeadX) + ((X*t)-(get(RHeadX)*t)))
	set(RHeadZ, get(RHeadZ) + ((Z*t)-(get(RHeadZ)*t)))
	
	elseif loop2 > 0.3 and loop2 < 0.5 then
	set(RHeadX, get(RHeadX) + ((P*t)-(get(RHeadX)*t)))
	set(RHeadZ, get(RHeadZ) + ((R*t)-(get(RHeadZ)*t)))
	
	elseif loop2 > 0.5 and loop2 < 0.54 then
	set(RHeadX, get(RHeadX)*0.95)
	set(RHeadZ, get(RHeadZ)*0.95)
	
	elseif loop2 > 0.54 and loop2 < 0.77 then
	set(RHeadX, get(RHeadX) + ((P*t)-(get(RHeadX)*t)))
	set(RHeadZ, get(RHeadZ) + ((R*t)-(get(RHeadZ)*t)))
	
	elseif loop2 > 0.77 and loop2 < 0.8 then
	set(RHeadX, get(RHeadX) + ((X*t)-(get(RHeadX)*t)))
	set(RHeadZ, get(RHeadZ) + ((Z*t)-(get(RHeadZ)*t)))
	
	elseif loop2 > 0.8 and loop2 < 1 then
	set(RHeadX, get(RHeadX) + ((P*t)-(get(RHeadX)*t)))
	set(RHeadZ, get(RHeadZ) + ((R*t)-(get(RHeadZ)*t)))

end



if get(acfroll) < 90 and get(acfroll) > -90 then
set(RHeadY, -get(acfroll)*0.3)
elseif get(acfroll) > 90 then
set(RHeadY, (get(acfroll)-180)*0.3)
elseif get(acfroll) < -90 then
set(RHeadY, (get(acfroll)+180)*0.3)

end







end



