defineProperty("yoke_pitch", globalPropertyf("sim/joystick/yoke_pitch_ratio"))
defineProperty("parking_brake_ratio", globalPropertyf("sim/cockpit2/controls/parking_brake_ratio"))
defineProperty("battery_on", globalPropertyf("sim/cockpit/electrical/battery_on"))
defineProperty("XPsound", globalPropertyf("sim/operation/sound/sound_on"))

defineProperty("ignOnL", globalPropertyf("sim/cockpit/engine/ignition_on[0]"))
defineProperty("ignOnR", globalPropertyf("sim/cockpit/engine/ignition_on[1]"))


defineProperty("mastervol", globalPropertyf("com/dkmp/mastervol"))
defineProperty("mastervolknob", globalPropertyf("com/dkmp/mastervolknob"))

defineProperty("XPsound", globalPropertyi("sim/operation/sound/sound_on"))


defineProperty("flaps", globalPropertyf("sim/flightmodel2/controls/flap_handle_deploy_ratio"))
defineProperty("view", globalPropertyi("sim/graphics/view/view_is_external"))
defineProperty("COM1", globalPropertyi("com/dkmp/com1freq"))
defineProperty("NAV1", globalPropertyi("com/dkmp/nav1freq"))
defineProperty("COM2", globalPropertyi("com/dkmp/com2freq"))
defineProperty("NAV2", globalPropertyi("com/dkmp/nav2freq"))

defineProperty("COM1sim", globalPropertyi("sim/cockpit2/radios/actuators/com1_standby_frequency_hz"))
defineProperty("NAV1sim", globalPropertyi("sim/cockpit2/radios/actuators/nav1_standby_frequency_hz"))
defineProperty("COM2sim", globalPropertyi("sim/cockpit2/radios/actuators/com2_frequency_hz"))
defineProperty("NAV2sim", globalPropertyi("sim/cockpit2/radios/actuators/nav2_frequency_hz"))

defineProperty("ADFsim", globalPropertyf("sim/cockpit2/radios/actuators/adf1_frequency_hz"))

--pilot window

defineProperty("customslider2", globalPropertyf("sim/flightmodel2/misc/custom_slider_ratio[2]"))
defineProperty("customsliderOn2", globalPropertyf("sim/cockpit2/switches/custom_slider_on[2]"))

--copilot window

defineProperty("customslider3", globalPropertyf("sim/flightmodel2/misc/custom_slider_ratio[3]"))
defineProperty("customsliderOn3", globalPropertyf("sim/cockpit2/switches/custom_slider_on[3]"))

--pilot Door
defineProperty("customslider0", globalPropertyf("sim/flightmodel2/misc/custom_slider_ratio[0]"))
defineProperty("customsliderOn0", globalPropertyf("sim/cockpit2/switches/custom_slider_on[0]"))


--Copilot Door
defineProperty("customslider1", globalPropertyf("sim/flightmodel2/misc/custom_slider_ratio[1]"))
defineProperty("customsliderOn1", globalPropertyf("sim/cockpit2/switches/custom_slider_on[1]"))



--Rear Door
defineProperty("customslider23", globalPropertyf("sim/flightmodel2/misc/custom_slider_ratio[23]"))
defineProperty("customsliderOn23", globalPropertyf("sim/cockpit2/switches/custom_slider_on[23]"))

--landing gear
defineProperty("gearhandle", globalPropertyi("sim/cockpit2/controls/gear_handle_down"))
defineProperty("gear", globalPropertyf("sim/flightmodel2/gear/deploy_ratio[1]"))


defineProperty("frame_time", globalPropertyf("frame_time"))
defineProperty("FN", globalPropertyf("frame_number"))

defineProperty("time", globalPropertyf("sim/time/total_flight_time_sec"))
defineProperty("frame_rate_period", globalPropertyf("sim/operation/misc/frame_rate_period"))
defineProperty("sim_speed", globalPropertyf("sim/time/sim_speed"))

defineProperty("ratchetTest", globalPropertyf("com/dkmp/RatchetTest"))

defineProperty("AvionicsFan", globalPropertyf("com/dkmp/AvionicsFan"))
defineProperty("ENGN1", globalPropertyf("sim/flightmodel/engine/ENGN_N1_[0]"))
defineProperty("ENGN2", globalPropertyf("sim/flightmodel/engine/ENGN_N1_[1]"))



opendoor  = loadSample('sounds/opendoor.wav')

closedoor  = loadSample('sounds/closedoor.wav')


openwindow  = loadSample('sounds/openwindow.wav')

closewindow  = loadSample('sounds/closewindow.wav')


fuelpump  = loadSample('sounds/fuelpump.wav')

--geard  = loadSample('sounds/geard.wav')
--gearu  = loadSample('sounds/gearu.wav')
--gearwarning  = loadSample('sounds/gearwarning.wav')

gyroLoop  = loadSample('sounds/gyroLoop.wav')



shutdownL  = loadSample('sounds/shutdownL.wav')
shutdownR  = loadSample('sounds/shutdownR.wav')

--stall  = loadSample('sounds/stall.wav')







knobRatchet1 = loadSample('sounds/KnobRatchet1.wav')




COM1_last = get(COM1sim)
NAV1_last = get(NAV1sim)
COM2_last = get(COM2sim)
NAV2_last = get(NAV2sim)
ADF_last = get(ADFsim)



local time_last = get(time)





setSampleGain(gyroLoop, 400)

function update()
	FT=get(frame_time)
	
	local v=get(view)
	

if get(battery_on) == 1 then	
		if get(FT) == 0 then
		set(AvionicsFan, 1)
		else
		set(AvionicsFan, (get(AvionicsFan)+0.0102)*0.99)
		end
	elseif get(battery_on) == 0 then
	set(AvionicsFan, get(AvionicsFan)*0.995)
end	


if v == 0 and get(sim_speed) ~= 0 and get(XPsound) ~= 0 then

	setSampleGain(opendoor, 1000)
	
	
		if get(customslider0) < 0.1 and get(customslider0) < get(customsliderOn0) and isSamplePlaying(opendoor) == false then
		playSample(opendoor, 0)
		end
		
	setSampleGain(closedoor, 1000)
	
		if get(customslider0) < 0.1 and get(customslider0) > get(customsliderOn0) and isSamplePlaying(closedoor) == false then
		playSample(closedoor, 0)
		end
				
	setSampleGain(opendoor, 1000)

		if get(customslider1) < 0.1 and get(customslider1) < get(customsliderOn1) and isSamplePlaying(opendoor) == false then
		playSample(opendoor, 0)
		end
		
	setSampleGain(closedoor, 1000)
	
		if get(customslider1) < 0.1 and get(customslider1) > get(customsliderOn1) and isSamplePlaying(closedoor) == false then
		playSample(closedoor, 0)
		end
	
	
	setSampleGain(openwindow, 800)
	
		if get(customslider2) < 0.1 and get(customslider2) < get(customsliderOn2) and isSamplePlaying(openwindow) == false then
		playSample(openwindow, 0)
		end
		
	setSampleGain(closewindow, 800)
	
		if get(customslider2) > 0.1 and get(customslider2) > get(customsliderOn2) and isSamplePlaying(closewindow) == false then
		playSample(closewindow, 0)
		end
			
	
	setSampleGain(openwindow, 800)
	
		if get(customslider3) < 0.1 and get(customslider3) < get(customsliderOn3) and isSamplePlaying(openwindow) == false then
		playSample(openwindow, 0)
		end
		
	setSampleGain(closewindow, 800)
	
		if get(customslider3) > 0.1 and get(customslider3) > get(customsliderOn3) and isSamplePlaying(closewindow) == false then
		playSample(closewindow, 0)
		end
				
	
		setSampleGain(opendoor, 1000)
	
		if get(customslider23) < get(customsliderOn23) and isSamplePlaying(opendoor) == false then
		playSample(opendoor, 0)
		end
		
	setSampleGain(closedoor, 1000)
	
		if get(customslider23) > get(customsliderOn23) and isSamplePlaying(closedoor) == false then
		playSample(closedoor, 0)
		end
			
			



--setSampleGain(gyroLoop, 1000)--(get(mastervol)*0.3)-(get(ENGN1)*4)-(get(ENGN2)*4))

--setSampleGain(gyroLoop, (210-(get(ENGN1)*4)-(get(ENGN2))*4)*get(mastervol)*0.01)		
		
--setSampleGain(gyroUp, 800)		
--setSampleGain(gyroDn, 800)		

setSamplePitch(gyroLoop, get(AvionicsFan)*1000)		




--Prepare the value for "V" (Volume)
if get(sim_speed) >= 1 then
V = get(mastervolknob) * get(XPsound)
else
V = 0
end

setSampleGain(gyroLoop, (400-(get(ENGN1)*4)-(get(ENGN2)*4))*V*get(AvionicsFan))

		
	if get(battery_on) == 1 and  isSamplePlaying(gyroLoop) == false 
		--and get(ignOnL) ~=0 and get(ignOnR) ~=0   
		then
		playSample(gyroLoop, 1)
	end


else 
stopSample(gyroLoop)

end	



setSampleGain(knobRatchet1, 600)

--set(COM1sim, (get(com1))*2.5)


if COM1_last - get(COM1sim)  ~= 0 and get(time) > 2 then
	playSample(knobRatchet1, 0)
	else
	stopSample(knobRatchet1)
end



if NAV1_last - get(NAV1sim)  ~= 0 and get(time) > 2 then
	playSample(knobRatchet1, 0)
	else
	stopSample(knobRatchet1)
end




if COM2_last - get(COM2sim)  ~= 0 and get(time) > 2 then
	playSample(knobRatchet1, 0)
	else
	stopSample(knobRatchet1)
end


if NAV2_last - get(NAV2sim)  ~= 0 and get(time) > 2 then
	playSample(knobRatchet1, 0)
	else
	stopSample(knobRatchet1)
end


if ADF_last - get(ADFsim)  ~= 0 and get(time) > 2 then
	playSample(knobRatchet1, 0)
	else
	stopSample(knobRatchet1)
end




		
		
		

	

	






COM1_last = get(COM1sim)
NAV1_last = get(NAV1sim)
COM2_last = get(COM2sim)
NAV2_last = get(NAV2sim)
ADF_last = get(ADFsim)




end


